/**
 * RSSH 部件模型
 *
 * @export
 * @class RSSHModel
 */
export default class RSSHModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof RSSHGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof RSSHGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'edition',
          prop: 'edition',
          dataType: 'FLOAT',
        },
        {
          name: 'approvalstatus',
          prop: 'approvalstatus',
          dataType: 'SSCODELIST',
        },
        {
          name: 'xmbmc',
          prop: 'xmbmc',
          dataType: 'TEXT',
        },
        {
          name: 'bbh',
          prop: 'bbh',
          dataType: 'TEXT',
        },
        {
          name: 'pimpersonid',
          prop: 'pimpersonid',
          dataType: 'PICKUP',
        },
        {
          name: 'reason',
          prop: 'reason',
          dataType: 'TEXT',
        },
        {
          name: 'gcmcjbm',
          prop: 'gcmcjbm',
          dataType: 'TEXT',
        },
        {
          name: 'orginfoid',
          prop: 'orginfoid',
          dataType: 'TEXT',
        },
        {
          name: 'xmbjc',
          prop: 'xmbjc',
          dataType: 'TEXT',
        },
        {
          name: 'oldid',
          prop: 'oldid',
          dataType: 'TEXT',
        },
        {
          name: 'orgshortname',
          prop: 'orgshortname',
          dataType: 'TEXT',
        },
        {
          name: 'srfmstag',
        },
        {
          name: 'srfmajortext',
          prop: 'ormxmxqjhname',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'ormxmxqjhid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'ormxmxqjhid',
          dataType: 'GUID',
        },
        {
          name: 'ormxmglname',
          prop: 'ormxmglname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'ormxmglid',
          prop: 'ormxmglid',
          dataType: 'PICKUP',
        },
        {
          name: 'xmbh',
          prop: 'xmbh',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'editionstate',
          prop: 'editionstate',
          dataType: 'SSCODELIST',
        },
        {
          name: 'orginfoname',
          prop: 'orginfoname',
          dataType: 'TEXT',
        },
        {
          name: 'ordervalue',
          prop: 'ordervalue',
          dataType: 'INT',
        },
        {
          name: 'ormxmxqjh',
          prop: 'ormxmxqjhid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}